| Kea 3.0.2-git

isc::dhcp::OptionDataTypeTraits< uint8_t > Struct Reference

uint8_t type is supported. More...

`#include <option_data_types.h>`

## Static Public Attributes
static const bool | integer_type = true
static const int | len = 1
static const OptionDataType | type = OPT_UINT8_TYPE
static const bool | valid = true

## Detailed Description

uint8_t type is supported.

Definition at line 149 of file option_data_types.h.

## Member Data Documentation

## ◆ integer_type

const bool isc::dhcp::OptionDataTypeTraits< uint8_t >::integer_type = true
| static

Definition at line 152 of file option_data_types.h.

## ◆ len

const int isc::dhcp::OptionDataTypeTraits< uint8_t >::len = 1
| static

Definition at line 151 of file option_data_types.h.

## ◆ type

const OptionDataType isc::dhcp::OptionDataTypeTraits< uint8_t >::type = OPT_UINT8_TYPE
| static

Definition at line 153 of file option_data_types.h.

## ◆ valid

const bool isc::dhcp::OptionDataTypeTraits< uint8_t >::valid = true
| static

Definition at line 150 of file option_data_types.h.

The documentation for this struct was generated from the following file:

- option_data_types.h